# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取集配模板新增集配客户下拉选项,00,00-23,sit,be
主数据平台:后台运营系统获取集配模板新增集配客户下拉选项接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_special_version"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_admin")
password = commonFuc().get_business_data(module, "password_admin")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取集配模板新增集配客户下拉选项
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url23")
request_body = commonFuc().get_business_data(module, "payload23")

"""

 场景: 获取集配模板新增集配客户下拉选项
 用例名称：获取集配模板新增集配客户下拉选项
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取集配模板列表中集配模板数量
result = json.loads(result.content)
result = {"total": len(result["data"])}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取集配客户
url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10")
request_body1 = commonFuc().get_business_data(module, "payload10")
# 发送请求
result1 = requests.get(url, params=request_body, headers=headers)
result1 = json.loads(result1.content)
total = len(result1["data"])

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict23", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
